Bug 196886 - Can not rename source file in imported remote project
Can not rename source file in imported remote project
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
7.0
All All
: P1 (vote)
: 7.0
Assigned To: Vladimir Voskresensky
issues@cnd
FULL_REMOTE
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-20 11:08 UTC by Vladimir Kvashin
Modified: 2011-04-05 13:40 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
A primitive (kind of prototype) rename implementation (2.14 KB, patch)
2011-03-29 23:14 UTC, Vladimir Kvashin
Details | Diff
more similar to local FS bahavior patch (19.86 KB, patch)
2011-04-03 21:37 UTC, Vladimir Voskresensky
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2011-03-20 11:08:31 UTC
When trying to rename a file in makefile based full remote project, I get error message "The object can not be renamed from file1 to new_file1_name.
Comment 1 Alexander Pepin 2011-03-21 10:54:27 UTC
I believe it should be fixed by FCS (not in RC1).
Comment 2 Leonid Lenyashin 2011-03-21 11:02:39 UTC
Any workaround?
Comment 3 Vladimir Kvashin 2011-03-21 19:13:20 UTC
fixed in cnd-main
http://hg.netbeans.org/cnd-main/rev/8a9d17db98fd
Comment 4 Vladimir Kvashin 2011-03-21 19:14:33 UTC
Please disregard my previous comment, I mixed the issues, sorry.
Comment 6 Vladimir Kvashin 2011-03-22 09:07:31 UTC
Still repeats.
Comment 7 Vladimir Kvashin 2011-03-29 23:14:14 UTC
Created attachment 107373 [details]
A primitive (kind of prototype) rename implementation
Comment 8 Quality Engineering 2011-03-30 08:41:17 UTC
Integrated into 'main-golden', will be available in build *201103300400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/1e8976ac1532
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: test for #196886 Can not rename source file in imported remote project
Comment 9 Vladimir Voskresensky 2011-04-03 21:37:20 UTC
Created attachment 107450 [details]
more similar to local FS bahavior patch

rename events and keeping file object
Comment 10 Vladimir Voskresensky 2011-04-04 11:58:56 UTC
fixed in trunk:
http://hg.netbeans.org/cnd-main?cmd=changeset;node=0cfa23d05872

known limitations:
- when rename folders with content => managed projects do not react on that.
Comment 11 Alexander Pepin 2011-04-04 13:09:26 UTC
The fix is verified in dev build #5085.
 Please review the fix and push it into release70.
Comment 12 Vladimir Kvashin 2011-04-04 13:23:17 UTC
The fix is reviewed thoroughly. 
It is correct and safe.
Comment 14 Quality Engineering 2011-04-05 08:38:06 UTC
Integrated into 'main-golden', will be available in build *201104050400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/0cfa23d05872
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixed #196886 -  Can not rename source file in imported remote project
Comment 15 Alexander Pepin 2011-04-05 13:40:33 UTC
verified in RC2 build 20110405


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo